wxPasswordEntryDialog(3)

NAME
wxPasswordEntryDialog - This class represents a dialog that requests a one-line password string from the user.

DESCRIPTION

It is implemented as a generic wxWidgets dialog.

See: Overview cmndlg

This class is derived, and can use functions, from:

    • wxTextEntryDialog

    • wxDialog

    • wxTopLevelWindow

    • wxWindow

    • wxEvtHandler

wxWidgets docs: wxPasswordEntryDialog

DATA TYPES

wxPasswordEntryDialog() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxPasswordEntryDialog()) -> ok.

    Destroys the object
new(Parent, Message, [Option]) -> wxPasswordEntryDialog() when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata(), Option :: {caption, unicode:chardata()} | {value, unicode:chardata()} | {style, integer()} | {pos, {X :: integer(), Y :: integer()}}.

    Constructor.

    Use wxDialog:showModal/1 to show the dialog.